# ThrowVector Class Reference

`#include <throwvector.h>`

List of all members.

## Public Member Functions

| ThrowVector (QCanvas *)
void | setdirection (double, double, int degree=0)
int | getResolution ()
void | setResolution (int)
double | getalpha ()
void | advance (int)
void | setfromCanvasPeriod (int)

## Public Attributes

int | angle
int | anim_speed

## Detailed Description

Author:
  Samuele Catuzzi

## Member Function Documentation

void ThrowVector::advance | ( | int |  | ) |

| No descriptions

double ThrowVector::getalpha | ( |  | ) |

| No descriptions

int ThrowVector::getResolution | ( |  | ) |

| No descriptions

void ThrowVector::setdirection | ( | double | ,
|  | double | ,
|  | int | degree = `0`
| ) |

| No descriptions

void ThrowVector::setfromCanvasPeriod | ( | int |  | ) |

| set correct animation speed setfromCanvasPeriod( int msec) msec depend of value chosed when setAdvancePeriod(int msec) on the widget parent is called

void ThrowVector::setResolution | ( | int |  | ) |

| No descriptions

The documentation for this class was generated from the following files:

- /home/samy/kbilliards/src/throwvector.h
- /home/samy/kbilliards/src/throwvector.cpp